{% set attributes = attributes|add_class("usa-header")|add_class("usa-header--" ~ variant|default("extended")) %}
<header {{ attributes|set_attribute('role', 'banner') }}>
  {{ top }}
  {% if variant == "basic" %}
    <div class="usa-nav-container">{{ nav }}</div>
  {% else %}
    {{ nav }}
  {% endif %}
</header>
